
var iMedia = 0;
var iEqControl = 0;
var iVidControl = 0;
 
var g_psPlayState=0;
var g_osOpenState=0;
var g_fIsLiveBroadcast=false;

function OnLoadHandler()
{
  Playlist.setColumnResizeMode(0,"stretches");
  Playlist.setColumnResizeMode(1,"autosizeData"); 
  if(player.currentPlaylist.count == 1)
  {
    previous.enabled="false";
    next.enabled="false";
  }
  else
  {
    previous.enabled="true";
    next.enabled="true";
  }
  if(player.openState == 13)
  {
    if(player.currentMedia.imageSourceHeight == 0)
    {
      video1.visible = "false"; 
      effects1.visible = "true"; 
      ffw.enabled="false"; 
      rev.enabled="false";
      changeVis.visible="true";
    }
    else
    {
      video1.visible = "true"; 
      effects1.visible = "false"; 
      ffw.enabled="true"; 
      rev.enabled="true"
      changeVis.visible="false";
    }
  }
  if(player.playstate==2 || player.playstate==3)
  {
    title1.value=player.currentMedia.name; 
    title2.value=player.currentMedia.name; 
  }
  if(title1.textWidth >= 205)
  {
    title1.scrolling = "true"; 
    title2.visible = "false"; 
  }
  else
  {
    title1.scrolling = "false"; 
    title2.visible = "true"; 
  }
  
  mute.down=player.settings.mute; 
  max.enabled = ((player.playstate==2 || player.playstate==3) && (player.currentMedia.imageSourceHeight != 0 || effects1.effectCanGoFullscreen))? true: false;
  max.upToolTip = (max.enabled)? "Go Fullscreen": "";
  changeViewButtons.visible = (equalizerOpen)? true: false;
  shuffle.down = (player.settings.getMode('shuffle')==false)? false : true;
  shuffle.enabled = (player.currentPlaylist.count == 1)? false: true;
}

function PlaystateChangeHandler()
{
  if(player.openState == 13)
  {
  UpdateMax();  
  if(player.currentPlaylist.count == 1)
  {
    previous.enabled="false";
    next.enabled="false";
  }
  else
  {
    previous.enabled="true";
    next.enabled="true";
  }
  if(player.currentMedia.imageSourceHeight == 0)
  {
    video1.visible = "false"; 
    effects1.visible = "true"; 
    ffw.enabled="false"; 
    rev.enabled="false"
    changeVis.visible="true";
  }
  else
  {
    video1.visible = "true"; 
    effects1.visible = "false"; 
    ffw.enabled="true"; 
    rev.enabled="true"
    changeVis.visible="false";
  }
  title1.value=player.currentMedia.name; 
  title2.value=player.currentMedia.name; 
  if(title1.textWidth >= 205)
  {
    title1.scrolling = "true"; 
    title2.visible = "false"; 
  }
  else
  {
    title1.scrolling = "false"; 
    title2.visible = "true"; 
  }
  if(volumeOpen)
    tracktime.visible="false";
  
  max.enabled = ((player.playstate==2 || player.playstate==3) && (player.currentMedia.imageSourceHeight != 0 || effects1.effectCanGoFullscreen))? true: false;
  max.upToolTip = (max.enabled)? "Go Fullscreen": "";
  shuffle.enabled = (player.currentPlaylist.count == 1)? false: true;
  }
}
 

function ToggleMute()
{
    player.settings.mute = (player.settings.mute == true) ? false : true;
}

function UpdateMax()
{
  seek.max = player.currentMedia.duration;
}

var volumeOpen = 0;
var equalizerOpen = 0;
var statusBarOpen = 1;
var playlistOpen = 0;

function OpenCloseVolume()
{
  if(!volumeOpen)
  {
    timer1.visible="true";
    tracktime.visible="false";
    EqualizerView.moveTo(0,EqualizerView.top+28,1000);
    openCloseVolumeButton.enabled="false";
    openCloseEqualizerButton.enabled="false";
    openCloseStatusBarButton.enabled="false";
    volumeOpen = 1;
  }
  else if(volumeOpen)
  {
    EqualizerView.moveTo(0,EqualizerView.top-28,1000);
    openCloseVolumeButton.enabled="false";
    openCloseEqualizerButton.enabled="false";
    openCloseStatusBarButton.enabled="false";
    tracktime.visible="true";
    volumeOpen = 0;
  }
}

function ChangeVolumeButtons()
{
  if(volumeOpen)
  {
    openCloseVolumeButton.enabled="true";
    openCloseVolumeButton.upToolTip="Close Volume";
    openCloseVolume.image = "UpArrow_up.gif";
    openCloseVolume.disabledImage = "UpArrow_up.gif";
    openCloseVolume.downImage = "UpArrow_down.gif";
    openCloseVolume.hoverDownImage = "UpArrow_down.gif";
    openCloseVolume.hoverImage = "UpArrow_hover.gif";
  } 
  else if(!volumeOpen)
  {
    timer1.visible="false";
    openCloseVolumeButton.enabled="true";
    openCloseVolumeButton.upToolTip="Open Volume";
    openCloseVolume.image = "DownArrow_up.gif";
    openCloseVolume.disabledImage = "DownArrow_up.gif";
    openCloseVolume.downImage = "DownArrow_down.gif";
    openCloseVolume.hoverDownImage = "DownArrow_down.gif";
    openCloseVolume.hoverImage = "DownArrow_hover.gif";
  } 
  openCloseVolumeButton.enabled="true";
  openCloseEqualizerButton.enabled="true";
  openCloseStatusBarButton.enabled="true";
}

function OpenCloseEqualizer()
{
  if(!equalizerOpen)
  {
    ControlsView.moveTo(0,ControlsView.top+60,2000);
    openCloseVolumeButton.enabled="false";
    openCloseEqualizerButton.enabled="false";
    openCloseStatusBarButton.enabled="false";
    equalizerOpen = 1;
  }
  else if(equalizerOpen)
  {
    ControlsView.moveTo(0,ControlsView.top-60,2000);
    openCloseVolumeButton.enabled="false";
    openCloseEqualizerButton.enabled="false";
    openCloseStatusBarButton.enabled="false";
    equalizerOpen = 0;
  }
}
function ChangeEqualizerButtons()
{
  if(equalizerOpen)
  {
    openCloseEqualizerButton.enabled="true";
    openCloseEqualizerButton.upToolTip="Close Equalizer";
    openCloseEqualizer.image = "UpArrow_up.gif";
    openCloseEqualizer.disabledImage = "UpArrow_up.gif";
    openCloseEqualizer.downImage = "UpArrow_down.gif";
    openCloseEqualizer.hoverDownImage = "UpArrow_down.gif";
    openCloseEqualizer.hoverImage = "UpArrow_hover.gif";
    changeViewButtons.visible = "true";
  } 
  else if(!equalizerOpen)
  {
    openCloseEqualizerButton.enabled="true";
    openCloseEqualizerButton.upToolTip="Open Equalizer";
    openCloseEqualizer.image = "DownArrow_up.gif";
    openCloseEqualizer.disabledImage = "DownArrow_up.gif";
    openCloseEqualizer.downImage = "DownArrow_down.gif";
    openCloseEqualizer.hoverDownImage = "DownArrow_down.gif";
    openCloseEqualizer.hoverImage = "DownArrow_hover.gif";
    changeViewButtons.visible = "false";
  } 
  openCloseVolumeButton.enabled="true";
  openCloseEqualizerButton.enabled="true";
  openCloseStatusBarButton.enabled="true";
}

function OpenCloseStatusBar()
{
  if(!statusBarOpen)
  {
    StatusBarView.moveTo(0,StatusBarView.top+16,500);
    openCloseVolumeButton.enabled="false";
    openCloseEqualizerButton.enabled="false";
    openCloseStatusBarButton.enabled="false";
    statusBarOpen = 1;
  }
  else if(statusBarOpen)
  {
    StatusBarView.moveTo(0,StatusBarView.top-16,500);
    openCloseVolumeButton.enabled="false";
    openCloseEqualizerButton.enabled="false";
    openCloseStatusBarButton.enabled="false";
    statusBarOpen = 0;
  }
}
function ChangeStatusBarButtons()
{
  if(statusBarOpen)
  {
    openCloseStatusBarButton.enabled="true";
    openCloseStatusBarButton.upToolTip="Close Status Bar";
    openCloseStatusBar.image = "UpArrow_up.gif";
    openCloseStatusBar.disabledImage = "UpArrow_up.gif";
    openCloseStatusBar.downImage = "UpArrow_down.gif";
    openCloseStatusBar.hoverDownImage = "UpArrow_down.gif";
    openCloseStatusBar.hoverImage = "UpArrow_hover.gif";
  } 
  else if(!statusBarOpen)
  {
    openCloseStatusBarButton.enabled="true";
    openCloseStatusBarButton.upToolTip="Open Status Bar";
    openCloseStatusBar.image = "DownArrow_up.gif";
    openCloseStatusBar.disabledImage = "DownArrow_up.gif";
    openCloseStatusBar.downImage = "DownArrow_down.gif";
    openCloseStatusBar.hoverDownImage = "DownArrow_down.gif";
    openCloseStatusBar.hoverImage = "DownArrow_hover.gif";
  } 
  openCloseVolumeButton.enabled="true";
  openCloseEqualizerButton.enabled="true";
  openCloseStatusBarButton.enabled="true";
}


function OpenClosePlaylist()
{
  if(!playlistOpen)
  {
    PlaylistView.moveTo(PlaylistView.left+170,0,2000);
    openClosePlaylistButton.enabled="false";
    playlistOpen = 1;
  }
  else if(playlistOpen)
  {
    PlaylistView.moveTo(PlaylistView.left-170,0,2000);
    openClosePlaylistButton.enabled="false";
    Playlist.visible="false";    
    playlistOpen = 0;
  }
}
function ChangePlaylistButtons()
{
  if(playlistOpen)
  {
    openClosePlaylistButton.enabled="true";
    openClosePlaylistButton.upToolTip="Close Playlist";
    openClosePlaylist.image = "LeftArrow_up.gif";
    openClosePlaylist.disabledImage = "LeftArrow_up.gif";
    openClosePlaylist.downImage = "LeftArrow_down.gif";
    openClosePlaylist.hoverDownImage = "LeftArrow_down.gif";
    openClosePlaylist.hoverImage = "LeftArrow_hover.gif";
  } 
  else if(!playlistOpen)
  {
    openClosePlaylistButton.enabled="true";
    openClosePlaylistButton.upToolTip="Open Playlist";
    openClosePlaylist.image = "RightArrow_up.gif";
    openClosePlaylist.disabledImage = "RightArrow_up.gif";
    openClosePlaylist.downImage = "RightArrow_down.gif";
    openClosePlaylist.hoverDownImage = "RightArrow_down.gif";
    openClosePlaylist.hoverImage = "RightArrow_hover.gif";
  } 
  openClosePlaylistButton.enabled="true";
}

/////////////////////////////////////////////
//
// STATUS BAR STUFF:              
//
/////////////////////////////////////////////
function MetaDataObject( label, str, url, tooltip )
{
  this.label = label;
  this.str = str;
  this.url = url;
  this.tooltip = tooltip;
}

var g_sMetaDataItems= new Array( "play", "show",   "clip",   "author",   "copyright",   "drm" );
var g_sVideoLabels = new Array(  "",     "Show: ", "Clip: ", "Author: ", "Copyright: ", "" );
var g_sAudioLabels = new Array(  "",     "Album: ","Song: ", "Artist: ", "Copyright: ", "" );

function OnTimerTransport()
{
    //if (osMediaOpen != g_osOpenState)
    //    return;
    
  switch(player.playState)
  {
    case 3:
    case 2:
    case 4:
    case 5:
    if(player.playState != 2)
      UpdateReceptionQuality();
    RotateMetaData();        
    break;
  }
}

var g_iNextMetaDataIndex = 0;
var g_metaDataInfo = new MetaDataObject("", "", "", "");

function RotateMetaData()
{
  for (i = 0; i < g_sMetaDataItems.length; i++)
  {
    GetMetaData(g_iNextMetaDataIndex, g_metaDataInfo);

    g_iNextMetaDataIndex++;
    if (g_iNextMetaDataIndex == g_sMetaDataItems.length)
      g_iNextMetaDataIndex = 0;
   
    if ("" != g_metaDataInfo.str)
    {
       ShowMetaData(g_metaDataInfo);
       return;
    }
  }

  ShowStatus("");
}

function GetMetaData(itemIndex, data)
{
  switch (itemIndex)
  {
	case 0:
      if (3 == player.playState)
      {
        data.str = "Playing";
        if ((player.network.downloadProgress >= 0) && (player.network.downloadProgress < 100))
        {
          data.str += ": " + player.network.downloadProgress + "% downloaded";
        }
        else if (player.network.bitrate > 0)
        {
          data.str += ": " + Math.floor((player.network.bitrate / 1000)) + " K bits/second";
        }
      }
      else if (2 == player.playState)
      {
        data.str = "Paused";
      }
      else
      {
	    data.str = "";
      }

	  data.url = "";
	  data.tooltip = "";
	  break;

	case 1:
	  data.str = GetItemInfo(player.currentPlaylist, "title");
	  if ("" == data.str)
	  data.str = GetItemInfo(player.currentMedia, "WM/AlbumTitle");
	  data.url = GetItemInfo(player.currentPlaylist, "moreinforef");
	  data.tooltip = GetItemInfo(player.currentPlaylist, "abstract");
	  break;
	case 2:
	  data.str = GetItemInfo(player.currentMedia, "title");
	  data.url = GetItemInfo(player.currentMedia, "moreinforef");
	  data.tooltip = GetItemInfo(player.currentMedia, "abstract");
	  break;
	case 3:
	  data.str = GetItemInfo(player.currentMedia, "author");
	  data.url = "";
	  data.tooltip = "";
	  break;
	case 4:
	  data.str = GetItemInfo(player.currentMedia, "copyright");
	  data.url = "";
	  data.tooltip = "";
	  break;
	case 5:
	  data.str = "";
	  if ("true" == player.currentMedia.getItemInfo("Is_Protected"))
	  {
		data.str = "Licensed content";
		if ("true" == player.currentMedia.getItemInfo("Is_Trusted"))
		{
	      data.str += " by " + player.currentMedia.getItemInfo("Signature_Name");
		}
	  }
	  data.url = "";
	  data.tooltip = "";
	  break;
  }

  if (player.currentMedia.imageSourceWidth > 0)
  {
    data.label = g_sVideoLabels[itemIndex];
  }
  else
  {
    data.label = g_sAudioLabels[itemIndex];
  }
}

function ShowMetaData(data)
{
    if ("" != data.str)
    {
        metadata.value = data.label + data.str;
        metadata.tooltip = data.tooltip;
        if ("" != data.url)
        {
            metadata.hoverFontStyle = "underline";
            metadata.enabled = true;
        }
        else
        {
            metadata.hoverFontStyle = "normal";
            metadata.enabled = false;
        }
    }
    else
    {
        ShowStatus("");
    }
}

function MetaDataObject( label, str, url, tooltip )
{
	this.label = label;
	this.str = str;
	this.url = url;
	this.tooltip = tooltip;
}

var g_sMetaDataItems= new Array( "play", "show",   "clip",   "author",   "copyright",   "drm" );
var g_sVideoLabels = new Array(  "",     "Show: ", "Clip: ", "Author: ", "Copyright: ", "" );
var g_sAudioLabels = new Array(  "",     "Album: ","Song: ", "Artist: ", "Copyright: ", "" );

function GetItemInfo(obj, strItem)
{
    var str;
    
    str = obj.getItemInfo("#" + strItem); // first try from ASX
    if ("" == str)
        str = obj.getItemInfo(strItem); // then try file

    return (str)    
}

function ShowStatus(sStr)
{
    metadata.value = sStr;
    metadata.hoverFontStyle = "normal";
    metadata.tooltip = "";
    metadata.enabled = false;
}

function ForceMetaData(itemIndex)
{
    g_iNextMetaDataIndex = itemIndex;
    GetMetaData(itemIndex, g_metaDataInfo);
    ShowMetaData(g_metaDataInfo);
}

function OnClickMetaData()
{
    if ("" != g_metaDataInfo.url)
        player.launchURL(g_metaDataInfo.url);
}

function UpdateReceptionQuality()
{
    var nReceptionQuality = player.network.receptionQuality;
    if (nReceptionQuality > 0)
    {
        if(nReceptionQuality == 100)
        {
            QualityIcon.image = "qbest.gif";
            QualityIcon.upToolTip="Perfect Reception";
        }
        else if(nReceptionQuality < 99 &&  nReceptionQuality > 86	)
        {
            QualityIcon.image = "qOK.gif";
            QualityIcon.upToolTip="Network Congestion";
        }
        else if(nReceptionQuality < 86 &&  nReceptionQuality > 0 )
        {
            QualityIcon.image = "qbad.gif";
            QualityIcon.upToolTip="Poor reception";
        }

        QualityIcon.visible=true;
    }
    else
    {
        //QualityIcon.visible=false;
        QualityIcon.image = "qbest.gif";
    }
}

function OnBufferingChangeTransport()
{
    var nProgress = player.network.bufferingProgress;
    if ((nProgress > 0) && (nProgress < 100))
    {
        ShowStatus("Buffering: " + nProgress + "% complete");
	    QualityIcon.image = "buffering.gif";
	    QualityIcon.upToolTip="Buffering";
	}
}

function OnDisconnectTransport()
{
    ShowStatus("Disconnected");
}

function volumeOnChange()
{
    player.settings.mute=false;
}

function OnPlayStateChangeTransport()
{
    g_psPlayState = player.PlayState;
    
    switch (g_psPlayState)
    {
    case 0:
            ShowStatus("");
            QualityIcon.visible=false;
            tracktime.visible=false;
            seek.foregroundProgress = 0;
            play.upToolTip="Play";
            play.enabled="true";
            rev.down="false";
            ffw.down="false";
        break;
        
    case 1:
            ShowStatus("Stopped");
            QualityIcon.visible=true;
            QualityIcon.image = "stopped.gif";
            QualityIcon.upToolTip = "Playback stopped";
            play.upToolTip="Play";
            play.enabled="true";
            ffw.down="false";
            rev.down="false";
        break;
        
    case 2:
            ForceMetaData(0);
            QualityIcon.visible=true;
            QualityIcon.image = "paused.gif";
            QualityIcon.upToolTip = "Playback paused";
            play.upToolTip="Play";
            play.enabled="true";
            ffw.down="false";
            rev.down="false";
        break;
        
    case 3:
            ForceMetaData(0);
            QualityIcon.visible=true;
            QualityIcon.image = "qbest.gif";
            QualityIcon.upToolTip = "Playing";
            UpdateReceptionQuality();
            if(!volumeOpen)tracktime.visible=true;
            play.enabled=!g_fIsLiveBroadcast;
            ffw.down="false";
            rev.down="false";
        break;
        
    case 4:
            ShowStatus("Fast Forwarding");
            UpdateReceptionQuality();
            play.enabled=!g_fIsLiveBroadcast;
            rev.down="false";
            ffw.down="true";
        break;
        
    case 5:
            ShowStatus("Rewinding");
            UpdateReceptionQuality();
            play.enabled=!g_fIsLiveBroadcast;
            rev.down="true";
            ffw.down="false";
        break;
        
    case 6:
            //if (osMediaOpen == g_osOpenState)
            {
                ShowStatus("Buffering...");
	            QualityIcon.image = "buffering.gif";
	            QualityIcon.upToolTip="Buffering";
            }
        break;
    case 8:
            ShowStatus("Waiting");
            UpdateReceptionQuality();
            play.enabled=!g_fIsLiveBroadcast;
            rev.down="false";
            ffw.down="false";
        break;
        
    }
}

function OnOpenStateChangeTransport()
{
    var temp, str, strType;
    
    g_osOpenState = player.OpenState;

    switch (g_osOpenState)
    {
    case 0: //Undefined:
        ShowStatus("");
        tracktime.visible=false;
        play.enabled="false";
        g_fIsLiveBroadcast=false;
        break;
        
    case 1: //PlaylistChanging:
        ShowStatus("");
        play.enabled="false";
        break;

    case 2: //PlaylistLocating:
        ShowStatus("Locating...");
        play.enabled="false";
        break;

    case 3: //PlaylistConnecting:
        ShowStatus("Connecting...");
        play.enabled="false";
        break;

    case 4: //PlaylistLoading:
        ShowStatus("Loading...");
        play.enabled="false";
        break;

    case 5: //PlaylistOpening:
        ShowStatus("Opening...");
        play.enabled="false";
        break;

    case 6: //PlaylistOpenNoMedia:
        ShowStatus("");
        play.enabled="true";
        break;

    case 7: //PlaylistChanged:
        ShowStatus("");
        play.enabled="true";
        Playlist.setColumnResizeMode(0,"stretches");
        Playlist.setColumnResizeMode(1,"autosizeData"); 
        if(player.currentPlaylist.count == 1)
        {
          previous.enabled='false';
          next.enabled='false';
        }
        else
        {
          previous.enabled='true';
          next.enabled='true';
        }
        break;

    case 8: //MediaChanging:
        ShowStatus("");
        play.enabled="false";
        QualityIcon.visible = false;
        break;

    case 9: //MediaLocating:
        ShowStatus("Locating...");
        play.enabled="false";
        QualityIcon.visible=true;
        QualityIcon.image = "locating.gif";
        QualityIcon.upToolTip="Locating Media";
        break;

    case 10: //MediaConnecting:
        ShowStatus("Connecting...");
        play.enabled="false";
	    QualityIcon.visible=true;
	    QualityIcon.image = "locating.gif"; // uses same image as Locating
	    QualityIcon.upToolTip="Connecting";
        break;

    case 11: //MediaLoading:
        ShowStatus("Loading...");
        play.enabled="false";
        break;
    /*
    case osMediaWaiting:
        ShowStatus("Waiting...");
        play.enabled="false";
	    g_fIsLiveBroadcast = (player.currentMedia.getItemInfo("Type") == "broadcast");
	    seek.enabled = !g_fIsLiveBroadcast;
        break;
    */
    case 12: //MediaOpening:
        ShowStatus("Opening...");
        play.enabled="false";
        QualityIcon.visible=true;
        QualityIcon.image = "opening.gif";
        QualityIcon.upToolTip="Opening";
        break;

    case 13: //MediaOpen: 
        ShowStatus("");
        tracktime.visible=true;
    	play.enabled="true";
	    g_fIsLiveBroadcast = (player.currentmedia.getiteminfo("Type") == "broadcast");
	    seek.enabled = !g_fIsLiveBroadcast;
        break;

    case 14: //CodecServerLocating:
        ShowStatus("Locating codec server...");
        play.enabled="false";
        break;

    case 15: //CodecServerConnecting:
        ShowStatus("Connecting to codec server...");
        play.enabled="false";
        break;

    case 16: //CodecServerLoading:
        ShowStatus("Downloading codec...");
        play.enabled="false";
        break;

    case 17: //CodecInstalling:
        ShowStatus("Installing codec...");
        play.enabled="false";
        break;

    case 18: //BeginLicenseAcquisition:
        ShowStatus("Starting license acquisition...");
        play.enabled="false";
        break;

    case 19: //EndLicenseAcquisition:
        ShowStatus("License acquired");
        play.enabled="false";
        break;

    case 20: //BeginIndividualization:
        ShowStatus("Starting individualization...");
        play.enabled="false";
        break;

    case 21: //EndIndividualization:
        ShowStatus("Individualization complete");
        play.enabled="false";
        break;

    default:
        play.enabled="false";
        break;
    }    
}

///////////////////////////////////////
//
// Saving and loading preference stuff
//
///////////////////////////////////////
function SavePreferences()
{
  theme.savePreference('volumeOpen',volumeOpen); 
  theme.savePreference('equalizerOpen',equalizerOpen); 
  theme.savePreference('statusBarOpen',statusBarOpen); 
  theme.savePreference('playlistOpen',playlistOpen);
  theme.savePreference('currentView',currentView);
}
var volumePreference;
var equalizerPreference;
var statusBarPreference;
var playlistPreference;
function LoadPreferences()
{
  openCloseVolumeButton.enabled="false";
  openCloseEqualizerButton.enabled="false";
  openCloseStatusBarButton.enabled="false";
  openClosePlaylistButton.enabled="false";
  volumePreference = theme.loadPreference('volumeOpen');
  equalizerPreference = theme.loadPreference('equalizerOpen');
  statusBarPreference = theme.loadPreference('statusBarOpen');
  playlistPreference = theme.loadPreference('playlistOpen');
  currentView = theme.loadPreference('currentView');
  if(currentView == "--") 
    currentView = 0;
  LoadCurrentView();
  LoadVolumePreference();
}
function LoadCurrentView()
{
  Views[currentView].visible = "true";
}
 
function LoadVolumePreference()
{
  if(volumePreference == 1)
  {
    OpenCloseVolume();
    setTimeout("LoadEqualizerPreference()",1000);
  }
  else
    LoadEqualizerPreference();
}
function LoadEqualizerPreference()
{
  if(equalizerPreference == 1)
  {
    OpenCloseEqualizer();
    setTimeout("LoadStatusBarPreference()",2000);
  }
  else
    LoadStatusBarPreference();
}
function LoadStatusBarPreference()
{
  if(statusBarPreference == 0)
  {
    OpenCloseStatusBar();
    setTimeout("LoadPlaylistPreference()",500);
  }
  else
    LoadPlaylistPreference();
}
function LoadPlaylistPreference()
{
  if(playlistPreference == 1)
     OpenClosePlaylist();
  openCloseVolumeButton.enabled="true";
  openCloseEqualizerButton.enabled="true";
  openCloseStatusBarButton.enabled="true";
  openClosePlaylistButton.enabled="true";
}

var temp_code;
function setTimeout(code,time)
{
  temp_code = code;
  FooObject.moveTo(0,0,time);
}

var Views = new Array(EqualizerSettingsView,
                      SrsWOWView,
                      //SamiView,
                      VideoSettingsView);
var currentView = 0;
function ChangeViews(direction)
{
  for(var i = 0; i < Views.length; i++)
    Views[i].visible = "false";

  switch (direction)
  {
    case "previous" :
      currentView--;
      if(currentView < 0)
        currentView = Views.length-1;
      break;
    case "next" :
      currentView++;
      if(currentView >= Views.length)
        currentView = 0;
      break;
  }
  Views[currentView].visible = "true";
}
 
function ChangeSpeakerSize()
{
  if(eq.speakerSize < 2)
    eq.speakerSize++;
  else
    eq.speakerSize = 0;
  CurrentSpeakerNameText.value = eq.currentSpeakerName;
}

function EjectCD()
{
  for(var i = 0; i < player.CDRomCollection.count; i++)
    if(player.currentPlaylist.isIdentical(player.CDRomCollection.item(i).playlist))
      player.controls.stop();
  setTimeout("player.CDRomCollection.item(0).eject()",1000)
}

function CheckVis()
{
  max.enabled = ((player.playstate==2 || player.playstate==3) && (player.currentMedia.imageSourceHeight != 0 || effects1.effectCanGoFullscreen))? true: false;
  max.upToolTip = (max.enabled)? "Go Fullscreen": "";
}


